<?php

// 1) Написать программу, которая выводит простые числа
$x = 1;
while ($x < 100) {
    $y = $x;
    $count = 0;
    while ($y >= 1) {
        if ($x % $y == 0) {
            $count++;
        }
        $y--;
    }
    echo $count == 2 ? $x . ' ' : '';
    $x++;
}

// 2) Сгенерируйте 100 раз новое число и выведите на экран количество четных чисел из этих 100
$x = 1;
$count = 0;
while ($x <= 100) {
    if ($x % 2 == 0) {
        $count++;
    }
    $x++;
}
echo '<br><hr>Четных чисел в числе 100: ' . $count;

// 3) Сгенерируйте 100 раз число от 1 до 5 и выведите на экран сколько
// раз сгенерировались эти числа (1, 2, 3, 4 и 5).
$x = 1;
$count = 0;
while ($x <= 100) {
    $y = 1;
    while ($y <= 5) {
        $y++;
        $count++;
    }
    $x++;
}
echo '<br><hr>Сгенерированы числа от 1 до 5 100 раз. Итого генераций: ' . $count;

// 4) Используя условия и циклы сделать таблицу в 5 колонок и 3 строки (5x3),
// отметить разными цветами часть ячеек.
$rows = 0;
echo '<br><hr><table border="1">';
while ($rows < 3) {
    $cols = 0;
    echo ($rows % 2) == 0 ? '<tr style="background-color: lightgray;">' : '<tr>';
    while ($cols < 5) {
        if ($cols % 2 == 0) {
            $r = rand(0, 255);
            $g = rand(0, 255);
            $b = rand(0, 255);
            echo '<td style="background-color: rgb(' . $r . ',' . $g . ',' . $b . ')">&nbsp;&nbsp;&nbsp;</td>';
        } else {
            echo '<td>&nbsp;&nbsp;&nbsp;</td>';
        }
        $cols++;
    }
    echo '</tr>';
    $rows++;
}
echo '</table><br><hr>';

// 1. В переменной month лежит какое-то число из интервала от 1 до 12. Определите
// в какую пору года попадает этот месяц (зима, лето, весна, осень).
$month = rand(1, 12);
if ($month >= 3 && $month <= 5) {
    echo 'Сейчас Весна (' . $month . ')';
} elseif ($month >= 6 && $month <= 8) {
    echo 'Сейчас Лето (' . $month . ')';
} elseif ($month >= 9 && $month <= 11) {
    echo 'Сейчас Осень (' . $month . ')';
} else {
    echo 'Сейчас Зима (' . $month . ')';
}
echo '<hr>';

// 2. Дана строка, состоящая из символов, например, 'abcde'. Проверьте, что первым
// символом этой строки является буква 'a'. Если это так - выведите 'да',
// в противном случае выведите 'нет'.
$str = 'abcde';
echo $str[0] === 'a' ? 'Да' : 'Нет';
echo '<br><hr>';

// 3. Дана строка с цифрами, например, '12345'. Проверьте, что первым символом этой
// строки является цифра 1, 2 или 3. Если это так - выведите 'да', в противном
// случае выведите 'нет'.
$str = '12345';
if ($str[0] === '1' || $str[0] === '2' || $str[0] === '3') {
    echo 'Да';
} else {
    echo 'Нет';
}
echo '<br><hr>';

// 4. Если переменная test равна true, то выведите 'Верно', иначе выведите 'Неверно'.
// Проверьте работу скрипта при test, равном true, false. Напишите два варианта
// скрипта - тернарка и if else.
$test = true;
echo $test ? ' Верно ' : ' Неверно ';
if ($test) {
    echo ' Верно ';
} else {
    echo ' Неверно ';
}
echo '<br><hr>';

// 5. Дано Два массива рус и англ ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'вс']
// Если переменная lang = ru вывести массив на русском языке, а если en то
// вывести на английском языке. Сделат через if else и через тернарку.
$lang = 'ru';
$week_ru = ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'вс'];
$week_en = ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'];
if ($lang == 'ru') {
    // phpcs:disable
    echo '<pre>';
    print_r($week_ru);
    echo '</pre>';
    // phpcs:enable
    foreach ($week_ru as $value) {
        $week_ru_str .= ' ' . $value;
    }
    echo $week_ru_str . '<br>';
} else {
    // phpcs:disable
    echo '<pre>';
    print_r($week_en);
    echo '</pre>';
    // phpcs:enable
    foreach ($week_en as $value) {
        $week_en_str .= ' ' . $value;
    }
    echo $week_en_str . '<br>';
}
// phpcs:disable
echo $lang == 'ru' ? print_r($week_ru) : print_r($week_en);
// phpcs:enable
echo $lang == 'ru' ? $week_ru_str : $week_en_str;
echo '<br><hr>';

// 6. В переменной cloсk лежит число от 0 до 59 – это минуты. Определите в какую
// четверть часа попадает это число (в первую, вторую, третью или четвертую).
// тернарка и if else.
$cloсk = rand(0, 59);
echo 'Сейчас: ' . $cloсk . ' минут<br>';
echo $cloсk <= 25 ? 'Первая четверть часа' :
    ($cloсk > 25 && $cloсk <= 50 ? 'Вторая четверть часа' :
        ($cloсk > 50 && $cloсk <= 75 ? 'Третья четверть часа' :
            ($cloсk > 75 ? 'Четвертая четверть часа' : '')));

echo '<br>';

if ($cloсk <= 25) {
    echo 'Первая четверть часа';
} elseif ($cloсk > 25 && $cloсk <= 50) {
    echo 'Вторая четверть часа';
} elseif ($cloсk > 50 && $cloсk <= 75) {
    echo 'Третья четверть часа';
} else {
    echo 'Четвертая четверть часа';
}
